Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class FifoMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              com.ejie.r01f.util.FifoMap

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class FifoMap
extends java.util.HashMap

See Also:
  Serialized Form

Constructor Summary
`FifoMap()` Crea un nuevo StateMap
`FifoMap(java.util.Map inMap)` Crea un nuevo StateMap a partir de otro mapa

Method Summary
`void` | `clear()` Vacia el mapa de objetos
`java.util.Set` | `entrySet()` Devuelve un Set con las entries (Map.Entry) del mapa pero en el orden en que se introdujeron
`java.util.Set` | `keySet()` Devuelve un Set con las claves del mapa pero en el orden en que se introdujeron
`java.lang.Object` | `put(java.lang.Object newKey, java.lang.Object newValue)` Introduce en el mapa el objeto y además guarda su clave en la lista de claves ordenadas por orden de introducción para poder recuperar luego en orden
`void` | `putAll(java.util.Map m)` Introduce en el mapa el nuevo mapa con objetos relacionados con su clave Se guarda el orden en que se introdujeron para poder recuperarlos en ese mismo orden
`void` | `putAllKeys(java.util.Set keys)` Introduce en el mapa las claves que se pasan (no los objetos)
`java.lang.Object` | `remove(java.lang.Object inKey)` Elimina del mapa el objeto cuya clave se pasa
`java.util.Collection` | `values()` Devuelve la colección de valores del mapa en el orden en que se introdujeron

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, get, isEmpty, size`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### FifoMap

    public FifoMap()

  Crea un nuevo StateMap

### FifoMap

    public FifoMap(java.util.Map inMap)

  Crea un nuevo StateMap a partir de otro mapa

Method Detail

### keySet

    public java.util.Set keySet()

  Devuelve un Set con las claves del mapa pero en el orden en que se introdujeron

### entrySet

    public java.util.Set entrySet()

  Devuelve un Set con las entries (Map.Entry) del mapa pero en el orden en que se introdujeron

### values

    public java.util.Collection values()

  Devuelve la colección de valores del mapa en el orden en que se introdujeron

### put

    public java.lang.Object put(java.lang.Object newKey,
                                java.lang.Object newValue)

  Introduce en el mapa el objeto y además guarda su clave en la lista de claves ordenadas por orden de introducción para poder recuperar luego en orden

### putAll

    public void putAll(java.util.Map m)

  Introduce en el mapa el nuevo mapa con objetos relacionados con su clave Se guarda el orden en que se introdujeron para poder recuperarlos en ese mismo orden

### putAllKeys

    public void putAllKeys(java.util.Set keys)

  Introduce en el mapa las claves que se pasan (no los objetos)

### remove

    public java.lang.Object remove(java.lang.Object inKey)

  Elimina del mapa el objeto cuya clave se pasa

### clear

    public void clear()

  Vacia el mapa de objetos

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD